> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/api-reference.md).

# API Reference

- [Admin API](https://docs.b2b-sellers.com/b2b-platform/api-reference/admin-api.md)
- [Core](https://docs.b2b-sellers.com/b2b-platform/api-reference/admin-api/core.md): Core plugin endpoints
- [Partial Assortments](https://docs.b2b-sellers.com/b2b-platform/api-reference/admin-api/partial-assortments.md): Endpoints for Partial Assortments addon
- [Store API](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api.md)
- [Core](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/core.md): Core plugin endpoints
- [Cost Center](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/cost-center.md): Endpoints for Cost Center addon
- [Customer Product Numbers](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/customer-product-numbers.md): Endpoints for Customer Product Numbers addon
- [Employee Budgets](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/employee-budgets.md): Endpoints for Employee Budgets addon
- [Offer](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/offer.md): Endpoints for Offer addon
- [Order Approval](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/order-approval.md): Endpoints for Order Approval addon
- [Pdp Variant List](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/pdp-variant-list.md): Endpoints for Pdp Variant List addon
- [Product Lists](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/product-lists.md): Endpoints for Product Lists addon
- [Product Request](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/product-request.md): Endpoints for Product Request addon
- [Sales Representative Fast Order](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/sales-representative-fast-order.md): Endpoints for Sales Representative Fast Order addon
- [Spare Parts](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/spare-parts.md): Endpoints for Spare Parts addon


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
